<?php
/**
 * Created by PhpStorm.
 * User: don
 * Date: 06/12/15
 * Time: 5:29 PM
 */

class tripClass extends stdClass {

    function __construct( $trip, $a_classes ) {

        $this->vessel_name                  = $trip->vessel_name;
        $this->trip_code                    = $trip->trip_code;
        $this->trip_start_date              = $trip->trip_start_date;
        $this->trip_end_date                = $trip->trip_end_date;
        $this->trip_nights                  = $trip->trip_nights;
        $this->trip_itinerary               = $trip->trip_itinerary;
        $this->trip_itinerary_long          = $trip->trip_itinerary_long;
        $this->trip_embarkation_point       = $trip->trip_embarkation_point;
        $this->trip_disembarkation_point    = $trip->trip_disembarkation_point;
        $this->trip_prices                  = array();
        $this->trip_availability            = $trip->trip_availability;
        $this->trip_notes					= $trip->trip_notes;

        $class_key = 1;
        foreach( $a_classes as $class_name ) {
            $cabin_class = new stdClass;
            $cabin_class->price_class = $class_key++;
            $cabin_class->class_name = $class_name;
            $cabin_class->price_amount = 0;
            $cabin_class->price_currency = $trip->price_currency;

            $this->trip_prices[ $class_name ] = $cabin_class;
        }
    }

}